Get Banks
curl --request GET \
--url https://api.zerocash.tech/api/b2b/utilities/banks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zerocash.tech/api/b2b/utilities/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zerocash.tech/api/b2b/utilities/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zerocash.tech/api/b2b/utilities/banks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zerocash.tech/api/b2b/utilities/banks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}"{\n \"success\": true,\n \"data\": [\n {\n \"id\": 47,\n \"code\": \"01\",\n \"name\": \"Kenya Commercial Bank Limited\"\n },\n {\n \"id\": 302,\n \"code\": \"02\",\n \"name\": \"Standard Chartered Bank Limited\"\n },\n ...\n ]\n}"{
"success": false,
"message": "\"country\" length must be 2 characters long",
"errorCode": "GET_BANKS_ERROR"
}Reference Data
Get Banks
Fetch supported banks for a particular country.
GET
/
api
/
b2b
/
utilities
/
banks
Get Banks
⌘I